> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an appointment reminder



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/appointment-reminders/{id}
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/appointment-reminders/{id}:
    get:
      tags:
        - AppointmentReminder
      summary: Get an appointment reminder
      operationId: appointmentReminder.show
      parameters:
        - name: id
          in: path
          required: true
          description: The appointment reminder identifier
          schema:
            type: integer
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/AppointmentReminderResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        const: Appointment reminder not found
                    required:
                      - message
                required:
                  - success
                  - data
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentReminderResource:
      type: object
      properties:
        id:
          type: integer
        appointment_id:
          type: integer
        tenant_id:
          type: integer
        type:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderType'
        offset_days:
          type: integer
        scheduled_for:
          type: string
          format: date-time
        sent_at:
          type:
            - string
            - 'null'
          format: date-time
        channel:
          type: string
        message:
          type: string
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderStatus'
        approval_status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderApprovalStatus'
        approved_at:
          type:
            - string
            - 'null'
          format: date-time
        approved_by:
          type:
            - integer
            - 'null'
        metadata:
          type:
            - array
            - 'null'
          items: {}
        appointment:
          $ref: '#/components/schemas/RelatedAppointmentResource'
        approver:
          anyOf:
            - $ref: '#/components/schemas/RelatedUserResource'
            - type: 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - appointment_id
        - tenant_id
        - type
        - offset_days
        - scheduled_for
        - sent_at
        - channel
        - message
        - status
        - approval_status
        - approved_at
        - approved_by
        - metadata
        - created_at
        - updated_at
      title: AppointmentReminderResource
    AppointmentReminderType:
      type: string
      enum:
        - appointment
        - cancellation_follow_up
        - session_confirmation
        - reschedule_confirmation
      title: AppointmentReminderType
    AppointmentReminderStatus:
      type: string
      enum:
        - queued
        - sent
        - error
      title: AppointmentReminderStatus
    AppointmentReminderApprovalStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
      title: AppointmentReminderApprovalStatus
    RelatedAppointmentResource:
      type: object
      properties:
        id:
          type: integer
        code:
          type: string
        scheduled_at:
          type: string
          format: date-time
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentStatus'
        relation_type:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentRelationType'
        parent_appointment_id:
          type:
            - integer
            - 'null'
        customer:
          anyOf:
            - $ref: '#/components/schemas/RelatedCustomerResource'
            - type: 'null'
        doctor:
          anyOf:
            - $ref: '#/components/schemas/RelatedUserResource'
            - type: 'null'
        treatments:
          type: array
          items:
            $ref: '#/components/schemas/RelatedTreatmentResource'
        parent_appointment:
          anyOf:
            - $ref: '#/components/schemas/RelatedAppointmentResource'
            - type: 'null'
      required:
        - id
        - code
        - scheduled_at
        - status
        - relation_type
        - parent_appointment_id
      title: RelatedAppointmentResource
    RelatedUserResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedUserResource
    AppointmentStatus:
      type: string
      enum:
        - pending
        - approved
        - cancelled
        - rejected
        - completed
        - no_show
      title: AppointmentStatus
    AppointmentRelationType:
      type: string
      enum:
        - parent
        - child
      title: AppointmentRelationType
    RelatedCustomerResource:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        phone_number:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
      required:
        - id
        - first_name
        - last_name
        - phone_number
        - email
      title: RelatedCustomerResource
    RelatedTreatmentResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedTreatmentResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````